#ifndef SYMBOL_H
#define SYMBOL_H

#include <string>
#include <vector>
#include <map>
#include "Graph.h"

using namespace std;

class SymbolGraph 
{
public:
	SymbolGraph();
	~SymbolGraph();
	bool contains(string s);
	int index(string s);
	string name(int v);
	Graph getGraph();
	void generateKeys();
private :
	map<string,int> st; // Symbol Table
	vector<string>keys;// key table
	Graph* G;

};

#endif