#ifndef BFS_H
#define BFS_H

#include "Graph.h"
#include <string>
#include <vector>
#include <map>
using namespace std;

class BFS 
{
public:
	BFS(Graph G, int s);
	~BFS();
	void bfsSearch(Graph G, int s);
	bool hasPathTo(int v);
	int showDistTo(int v);
	vector<int> pathTo(int v);

private :
	vector<bool>marked;
	vector<int>edgeTo;
	vector<int>distTo;
	const static int infinity = 65535;

};

#endif
